#include <QApplication>
#include <QMessageBox>

#include "mainWindow.h"
#include "servoController.h"

int main(int argc, char *argv[]){
	QApplication app(argc, argv);

	servoController servoc("/dev/ttyUSB0");
	if(!servoc.isOpen()){
		QMessageBox msgBox;
		msgBox.setText("Could not open device.");
		msgBox.setIcon(QMessageBox::Critical);
		return msgBox.exec();
	} else {
		mainWindow w(&servoc);
		w.show();
		return app.exec();
		
	}
	return 1;
}