#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QWidget>

#include <QGridLayout>

#include "servoWidget.h"
#include "servoController.h"

class mainWindow : public QWidget {
	Q_OBJECT
	
	servoController* controller;
	QGridLayout layout;
	public:
		mainWindow(servoController* controller_, QWidget* parent = 0) : QWidget(parent), controller(controller_) {
			for(int j = 0; j < 6;  ++j){
				layout.addWidget(new servoWidget(j, controller, 10000),0,j);
				layout.addWidget(new servoWidget(j + 6, controller, 10000),1,j);
			}
			setLayout(&layout);
		}
};

#endif
