#ifndef SERVOCONTROLLER_H
#define SERVOCONTROLLER_H

#include <fstream>
#include <cstdlib>
#include <string>
#include <iostream>

class servoController {
 	std::ofstream rawstream;
 	std::ifstream rawistream;
	public:
 	servoController(const char* device = "/dev/ttyUSB0") : rawstream(device){
		int rv = system((std::string("stty -F ") + device + " 9600").c_str()); 
		if(rv != 0) std::cout << "error setting baudrate with stty:" << rv << "\n";
 	}
 	bool isOpen(){
		return rawstream.is_open();
	}
 	void setServo(int number, int value){
		rawstream << "s" << number << " " << value << std::endl;
	}
};

#endif